Convert Old script file to systemctl

rishitoshsingh

New Member
Credits
0
I want to convert this old script file to .service file which is used by systemctl. I have converted as much as I know, but I am getting error code 1 whenever I try to start the service.

#! /bin/sh
### BEGIN INIT INFO
# Provides: daemonsync
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Daemon Sync
# Description: Daemon Sync. Solution for transfer data through network
### END INIT INFO

# Author: Disc Soft Ltd. <[email protected]>

PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
DESC="DAEMON Sync service"
NAME=daemonsync
DAEMON=/usr/local/DAEMONSync/$NAME
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/daemonsync

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --background --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --background --pidfile $PIDFILE --exec $DAEMON >/dev/null 2>&1 \
|| return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --name $NAME
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2

start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
rm -f $PIDFILE
return "$RETVAL"
}

#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
start-stop-daemon --stop --signal 1 --quiet --name $NAME
return 0
}

case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
#reload|force-reload)
restart|force-reload)
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac

:

(end of file)
===============================================================================================

Converted .service :

[Unit]
Description=Daemon Sync. Solution for transfer data through network.
After=network.target

[Service]
ExecStart=/usr/local/DAEMONSync/daemonsync
PIDFile=var/run/daemonsync.pid

[Install]
WantedBy=multi-user.target


(end of file)
===============================================================================================
 


dos2unix

Well-Known Member
Credits
1,461
You never show the name of your service file above. :) this is what determines the service name.

I will assume the name of your service file is daemonsync.service
I will also assume this file is located in /usr/lib/systemd/system

What is the output of systemctl status -l daemonsync ?

Also (this could be a lot of info, so try to cut out the part we need)
what is the output of journalctl -xe
 


Members online


Top